org.firebirdsql.jdbc

## Interface FirebirdBlob

- All Superinterfaces:
    java.sql.Blob
  All Known Implementing Classes:
    FBBlob, FBCachedBlob

      public interface FirebirdBlob
      extends java.sql.Blob

  Firebird Blob abstraction. This interface defines methods to read and write Blob content.
  Author:
    Roman Rokytskyy

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FirebirdBlob.BlobInputStream` Blob input stream.
    `static interface` | `FirebirdBlob.BlobOutputStream` Blob output stream.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FirebirdBlob` | `detach()` Detach this blob.
    `boolean` | `isSegmented()` Check if blob is segmented.

    - ### Methods inherited from interface java.sql.Blob

      `free, getBinaryStream, getBinaryStream, getBytes, length, position, position, setBinaryStream, setBytes, setBytes, truncate`

- - ### Method Detail

    - #### detach

          FirebirdBlob detach()
                       throws java.sql.SQLException

      Detach this blob. This method creates new instance of the same blob database object that is not under result set control. When result set is closed, all associated resources are also released, including open blob streams. This method creates an new instance of blob object with the same blob ID that can be used even when result set is closed.

      Note, detached blob will not remember the stream position of this object. This means that you cannot start reading data from the blob, then detach it, and then continue reading. Reading from detached blob will begin at the blob start.

      Returns:
        instance of `FirebirdBlob` that is not under result set control.
      Throws:
        `java.sql.SQLException` - if Blob cannot be detached.

    - #### isSegmented

          boolean isSegmented()
                       throws java.sql.SQLException

      Check if blob is segmented. If Blob is segmented, you cannot use `FirebirdBlob.BlobInputStream.seek(int)` method.
      Returns:
        `true` if this blob is segmented, otherwise `false`
      Throws:
        `java.sql.SQLException`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.